Disable streams

Base URL
https://{kibana_url}
  • POST /api/streams/_disable
  • POST /s/{space_id}/api/streams/_disable
Auth

Disables wired streams and deletes all existing stream definitions. The data of wired streams is deleted, but the data of classic streams is preserved.

Required privileges

Privileges manage_stream

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

Any of:

Response

200

Streams were disabled successfully.

Base URL
https://{kibana_url}